---
version: "3"

networks:
  proxy:
    external: true

volumes:
  hub_userdata:
  # hub_jupyterhub:

services:

  jupyterhub:
    build: ./jupyterhub
    # image: "{{jupyter_hub_image_name}}"
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - proxy
    env_file:
      - "./jupyterhub/jupyterhub.env"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "hub_userdata:/home/"
      # - "hub_jupyterhub:/srv/jupyterhub"
